Unit h_exct;
Interface
Uses Delphin, EXTCTRLS,CLASSES, Controls, Forms,ComCtrls,Graphics,menus;

Implementation
{

To Convert Variant to object use VarToObj()
To Convert Object to variant use ObjToVar()

}

{--------------------}
function myTSHAPECREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TSHAPE(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
function myTSHAPESTYLECHANGED(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TSHAPE(slf).STYLECHANGED(VO(S[0]));
End;
{--------------------}
Function TSHAPEget_BRUSH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TSHAPE(slf).BRUSH);
End;

Function TSHAPEset_BRUSH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).BRUSH:=TBrush(VO(S[0]));
End;
{--------------------}
Function TSHAPEget_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).DRAGCURSOR;
End;

Function TSHAPEset_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).DRAGCURSOR:=S[0];
End;
{--------------------}
Function TSHAPEget_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).DRAGMODE;
End;

Function TSHAPEset_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).DRAGMODE:=S[0];
End;
{--------------------}
Function TSHAPEget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).ENABLED;
End;

Function TSHAPEset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).ENABLED:=S[0];
End;
{--------------------}
Function TSHAPEget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).PARENTSHOWHINT;
End;

Function TSHAPEset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TSHAPEget_PEN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TSHAPE(slf).PEN);
End;

Function TSHAPEset_PEN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).PEN:=TPen(VO(S[0]));
End;
{--------------------}
Function TSHAPEget_SHAPE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).SHAPE;
End;

Function TSHAPEset_SHAPE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).SHAPE:=S[0];
End;
{--------------------}
Function TSHAPEget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).SHOWHINT;
End;

Function TSHAPEset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TSHAPEget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSHAPE(slf).VISIBLE;
End;

Function TSHAPEset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSHAPE(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTPAINTBOXCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TPAINTBOX(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TPAINTBOXget_CANVAS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TPAINTBOX(slf).CANVAS);
End;
{--------------------}
Function TPAINTBOXget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).ALIGN;
End;

Function TPAINTBOXset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).ALIGN:=S[0];
End;
{--------------------}
Function TPAINTBOXget_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).COLOR;
End;

Function TPAINTBOXset_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).COLOR:=S[0];
End;
{--------------------}
Function TPAINTBOXget_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).DRAGCURSOR;
End;

Function TPAINTBOXset_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).DRAGCURSOR:=S[0];
End;
{--------------------}
Function TPAINTBOXget_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).DRAGMODE;
End;

Function TPAINTBOXset_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).DRAGMODE:=S[0];
End;
{--------------------}
Function TPAINTBOXget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).ENABLED;
End;

Function TPAINTBOXset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).ENABLED:=S[0];
End;
{--------------------}
Function TPAINTBOXget_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TPAINTBOX(slf).FONT);
End;

Function TPAINTBOXset_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).FONT:=TFont(VO(S[0]));
End;
{--------------------}
Function TPAINTBOXget_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).PARENTCOLOR;
End;

Function TPAINTBOXset_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).PARENTCOLOR:=S[0];
End;
{--------------------}
Function TPAINTBOXget_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).PARENTFONT;
End;

Function TPAINTBOXset_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).PARENTFONT:=S[0];
End;
{--------------------}
Function TPAINTBOXget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).PARENTSHOWHINT;
End;

Function TPAINTBOXset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TPAINTBOXget_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TPAINTBOX(slf).POPUPMENU);
End;

Function TPAINTBOXset_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).POPUPMENU:=TPopupMenu(VO(S[0]));
End;
{--------------------}
Function TPAINTBOXget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).SHOWHINT;
End;

Function TPAINTBOXset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TPAINTBOXget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAINTBOX(slf).VISIBLE;
End;

Function TPAINTBOXset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAINTBOX(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTIMAGECREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TIMAGE(slf).CREATE(TComponent(Vo(S[0]))));
End;
{--------------------}
Function TIMAGEget_CANVAS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TIMAGE(slf).CANVAS);
End;
{--------------------}
Function TIMAGEget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).ALIGN;
End;

Function TIMAGEset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).ALIGN:=S[0];
End;
{--------------------}
Function TIMAGEget_AUTOSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).AUTOSIZE;
End;

Function TIMAGEset_AUTOSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).AUTOSIZE:=S[0];
End;
{--------------------}
Function TIMAGEget_CENTER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).CENTER;
End;

Function TIMAGEset_CENTER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).CENTER:=S[0];
End;
{--------------------}
Function TIMAGEget_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).DRAGCURSOR;
End;

Function TIMAGEset_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).DRAGCURSOR:=S[0];
End;
{--------------------}
Function TIMAGEget_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).DRAGMODE;
End;

Function TIMAGEset_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).DRAGMODE:=S[0];
End;
{--------------------}
Function TIMAGEget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).ENABLED;
End;

Function TIMAGEset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).ENABLED:=S[0];
End;
{--------------------}
Function TIMAGEget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).PARENTSHOWHINT;
End;

Function TIMAGEset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TIMAGEget_PICTURE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TIMAGE(slf).PICTURE);
End;

Function TIMAGEset_PICTURE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).PICTURE:=TPicture(VO(S[0]));
End;
{--------------------}
Function TIMAGEget_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TIMAGE(slf).POPUPMENU);
End;

Function TIMAGEset_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).POPUPMENU:=TPopupMenu(VO(S[0]));
End;
{--------------------}
Function TIMAGEget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).SHOWHINT;
End;

Function TIMAGEset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TIMAGEget_STRETCH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).STRETCH;
End;

Function TIMAGEset_STRETCH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).STRETCH:=S[0];
End;
{--------------------}
Function TIMAGEget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TIMAGE(slf).VISIBLE;
End;

Function TIMAGEset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TIMAGE(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTBEVELCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ov(TBEVEL(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TBEVELget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBEVEL(slf).ALIGN;
End;

Function TBEVELset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBEVEL(slf).ALIGN:=S[0];
End;
{--------------------}
Function TBEVELget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBEVEL(slf).PARENTSHOWHINT;
End;

Function TBEVELset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBEVEL(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TBEVELget_SHAPE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBEVEL(slf).SHAPE;
End;

Function TBEVELset_SHAPE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBEVEL(slf).SHAPE:=S[0];
End;
{--------------------}
Function TBEVELget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBEVEL(slf).SHOWHINT;
End;

Function TBEVELset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBEVEL(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TBEVELget_STYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBEVEL(slf).STYLE;
End;

Function TBEVELset_STYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBEVEL(slf).STYLE:=S[0];
End;
{--------------------}
Function TBEVELget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBEVEL(slf).VISIBLE;
End;

Function TBEVELset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBEVEL(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTTIMERCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TTIMER(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TTIMERget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TTIMER(slf).ENABLED;
End;

Function TTIMERset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TTIMER(slf).ENABLED:=S[0];
End;
{--------------------}
Function TTIMERget_INTERVAL(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TTIMER(slf).INTERVAL;
End;

Function TTIMERset_INTERVAL(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TTIMER(slf).INTERVAL:=S[0];
End;
{--------------------}
function myTCUSTOMPANELCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TCUSTOMPANEL(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TPANELget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).ALIGN;
End;

Function TPANELset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).ALIGN:=S[0];
End;
{--------------------}
Function TPANELget_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).ALIGNMENT;
End;

Function TPANELset_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).ALIGNMENT:=S[0];
End;
{--------------------}
Function TPANELget_BEVELINNER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).BEVELINNER;
End;

Function TPANELset_BEVELINNER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).BEVELINNER:=S[0];
End;
{--------------------}
Function TPANELget_BEVELOUTER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).BEVELOUTER;
End;

Function TPANELset_BEVELOUTER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).BEVELOUTER:=S[0];
End;
{--------------------}
Function TPANELget_BEVELWIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).BEVELWIDTH;
End;

Function TPANELset_BEVELWIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).BEVELWIDTH:=S[0];
End;
{--------------------}
Function TPANELget_BORDERWIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).BORDERWIDTH;
End;

Function TPANELset_BORDERWIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).BORDERWIDTH:=S[0];
End;
{--------------------}
Function TPANELget_BORDERSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).BORDERSTYLE;
End;

Function TPANELset_BORDERSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).BORDERSTYLE:=S[0];
End;
{--------------------}
Function TPANELget_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).DRAGCURSOR;
End;

Function TPANELset_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).DRAGCURSOR:=S[0];
End;
{--------------------}
Function TPANELget_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).DRAGMODE;
End;

Function TPANELset_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).DRAGMODE:=S[0];
End;
{--------------------}
Function TPANELget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).ENABLED;
End;

Function TPANELset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).ENABLED:=S[0];
End;
{--------------------}
Function TPANELget_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).CAPTION;
End;

Function TPANELset_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).CAPTION:=S[0];
End;
{--------------------}
Function TPANELget_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).COLOR;
End;

Function TPANELset_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).COLOR:=S[0];
End;
{--------------------}
Function TPANELget_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).CTL3D;
End;

Function TPANELset_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).CTL3D:=S[0];
End;
{--------------------}
Function TPANELget_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TPANEL(slf).FONT);
End;

Function TPANELset_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).FONT:=TFont(VO(S[0]));
End;
{--------------------}
Function TPANELget_LOCKED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).LOCKED;
End;

Function TPANELset_LOCKED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).LOCKED:=S[0];
End;
{--------------------}
Function TPANELget_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).PARENTCOLOR;
End;

Function TPANELset_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).PARENTCOLOR:=S[0];
End;
{--------------------}
Function TPANELget_PARENTCTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).PARENTCTL3D;
End;

Function TPANELset_PARENTCTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).PARENTCTL3D:=S[0];
End;
{--------------------}
Function TPANELget_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).PARENTFONT;
End;

Function TPANELset_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).PARENTFONT:=S[0];
End;
{--------------------}
Function TPANELget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).PARENTSHOWHINT;
End;

Function TPANELset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TPANELget_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TPANEL(slf).POPUPMENU);
End;

Function TPANELset_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).POPUPMENU:=TPopupMenu(VO(S[0]));
End;
{--------------------}
Function TPANELget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).SHOWHINT;
End;

Function TPANELset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TPANELget_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).TABORDER;
End;

Function TPANELset_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).TABORDER:=S[0];
End;
{--------------------}
Function TPANELget_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).TABSTOP;
End;

Function TPANELset_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).TABSTOP:=S[0];
End;
{--------------------}
Function TPANELget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPANEL(slf).VISIBLE;
End;

Function TPANELset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPANEL(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTPAGECREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TPAGE(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TPAGEget_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAGE(slf).CAPTION;
End;

Function TPAGEset_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAGE(slf).CAPTION:=S[0];
End;
{--------------------}
Function TPAGEget_HEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAGE(slf).HEIGHT;
End;

Function TPAGEset_HEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAGE(slf).HEIGHT:=S[0];
End;
{--------------------}
Function TPAGEget_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAGE(slf).TABORDER;
End;

Function TPAGEset_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAGE(slf).TABORDER:=S[0];
End;
{--------------------}
Function TPAGEget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAGE(slf).VISIBLE;
End;

Function TPAGEset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAGE(slf).VISIBLE:=S[0];
End;
{--------------------}
Function TPAGEget_WIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPAGE(slf).WIDTH;
End;

Function TPAGEset_WIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPAGE(slf).WIDTH:=S[0];
End;
{--------------------}
function myTNOTEBOOKCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TNOTEBOOK(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TNOTEBOOKget_ACTIVEPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).ACTIVEPAGE;
End;

Function TNOTEBOOKset_ACTIVEPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).ACTIVEPAGE:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).ALIGN;
End;

Function TNOTEBOOKset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).ALIGN:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).COLOR;
End;

Function TNOTEBOOKset_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).COLOR:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).CTL3D;
End;

Function TNOTEBOOKset_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).CTL3D:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).DRAGCURSOR;
End;

Function TNOTEBOOKset_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).DRAGCURSOR:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).DRAGMODE;
End;

Function TNOTEBOOKset_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).DRAGMODE:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TNOTEBOOK(slf).FONT);
End;

Function TNOTEBOOKset_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).FONT:=TFont(VO(S[0]));
End;
{--------------------}
Function TNOTEBOOKget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).ENABLED;
End;

Function TNOTEBOOKset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).ENABLED:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_PAGEINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).PAGEINDEX;
End;

Function TNOTEBOOKset_PAGEINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).PAGEINDEX:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_PAGES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TNOTEBOOK(slf).PAGES);
End;

Function TNOTEBOOKset_PAGES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).PAGES:=TStrings(VO(S[0]));
End;
{--------------------}
Function TNOTEBOOKget_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).PARENTCOLOR;
End;

Function TNOTEBOOKset_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).PARENTCOLOR:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_PARENTCTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).PARENTCTL3D;
End;

Function TNOTEBOOKset_PARENTCTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).PARENTCTL3D:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).PARENTFONT;
End;

Function TNOTEBOOKset_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).PARENTFONT:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).PARENTSHOWHINT;
End;

Function TNOTEBOOKset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TNOTEBOOK(slf).POPUPMENU);
End;

Function TNOTEBOOKset_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).POPUPMENU:=TPopupMenu(VO(S[0]));
End;
{--------------------}
Function TNOTEBOOKget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).SHOWHINT;
End;

Function TNOTEBOOKset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).TABORDER;
End;

Function TNOTEBOOKset_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).TABORDER:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).TABSTOP;
End;

Function TNOTEBOOKset_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).TABSTOP:=S[0];
End;
{--------------------}
Function TNOTEBOOKget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TNOTEBOOK(slf).VISIBLE;
End;

Function TNOTEBOOKset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TNOTEBOOK(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTHEADERCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(THEADER(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
function myTHEADERDESTROY(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 THEADER(slf).DESTROY;
End;
{--------------------}
Function THEADERget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).ALIGN;
End;

Function THEADERset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).ALIGN:=S[0];
End;
{--------------------}
Function THEADERget_ALLOWRESIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).ALLOWRESIZE;
End;

Function THEADERset_ALLOWRESIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).ALLOWRESIZE:=S[0];
End;
{--------------------}
Function THEADERget_BORDERSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).BORDERSTYLE;
End;

Function THEADERset_BORDERSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).BORDERSTYLE:=S[0];
End;
{--------------------}
Function THEADERget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).ENABLED;
End;

Function THEADERset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).ENABLED:=S[0];
End;
{--------------------}
Function THEADERget_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(THEADER(slf).FONT);
End;

Function THEADERset_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).FONT:=TFont(VO(S[0]));
End;
{--------------------}
Function THEADERget_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).PARENTFONT;
End;

Function THEADERset_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).PARENTFONT:=S[0];
End;
{--------------------}
Function THEADERget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).PARENTSHOWHINT;
End;

Function THEADERset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function THEADERget_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(THEADER(slf).POPUPMENU);
End;

Function THEADERset_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).POPUPMENU:=TPopupMenu(VO(S[0]));
End;
{--------------------}
Function THEADERget_SECTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(THEADER(slf).SECTIONS);
End;

Function THEADERset_SECTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).SECTIONS:=TStrings(VO(S[0]));
End;
{--------------------}
Function THEADERget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).SHOWHINT;
End;

Function THEADERset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function THEADERget_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).TABORDER;
End;

Function THEADERset_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).TABORDER:=S[0];
End;
{--------------------}
Function THEADERget_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).TABSTOP;
End;

Function THEADERset_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).TABSTOP:=S[0];
End;
{--------------------}
Function THEADERget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := THEADER(slf).VISIBLE;
End;

Function THEADERset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
THEADER(slf).VISIBLE:=S[0];
End;
{--------------------}
function myTCUSTOMRADIOGROUPCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TCUSTOMRADIOGROUP(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TRADIOGROUPget_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).ALIGN;
End;

Function TRADIOGROUPset_ALIGN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).ALIGN:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).CAPTION;
End;

Function TRADIOGROUPset_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).CAPTION:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).COLOR;
End;

Function TRADIOGROUPset_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).COLOR:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_COLUMNS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).COLUMNS;
End;

Function TRADIOGROUPset_COLUMNS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).COLUMNS:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).CTL3D;
End;

Function TRADIOGROUPset_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).CTL3D:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).DRAGCURSOR;
End;

Function TRADIOGROUPset_DRAGCURSOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).DRAGCURSOR:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).DRAGMODE;
End;

Function TRADIOGROUPset_DRAGMODE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).DRAGMODE:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).ENABLED;
End;

Function TRADIOGROUPset_ENABLED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).ENABLED:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TRADIOGROUP(slf).FONT);
End;

Function TRADIOGROUPset_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).FONT:=TFont(VO(S[0]));
End;
{--------------------}
Function TRADIOGROUPget_ITEMINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).ITEMINDEX;
End;

Function TRADIOGROUPset_ITEMINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).ITEMINDEX:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_ITEMS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TRADIOGROUP(slf).ITEMS);
End;

Function TRADIOGROUPset_ITEMS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).ITEMS:=TStrings(VO(S[0]));
End;
{--------------------}
Function TRADIOGROUPget_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).PARENTCOLOR;
End;

Function TRADIOGROUPset_PARENTCOLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).PARENTCOLOR:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_PARENTCTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).PARENTCTL3D;
End;

Function TRADIOGROUPset_PARENTCTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).PARENTCTL3D:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).PARENTFONT;
End;

Function TRADIOGROUPset_PARENTFONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).PARENTFONT:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).PARENTSHOWHINT;
End;

Function TRADIOGROUPset_PARENTSHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).PARENTSHOWHINT:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TRADIOGROUP(slf).POPUPMENU);
End;

Function TRADIOGROUPset_POPUPMENU(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).POPUPMENU:=TPopupMenu(VO(S[0]));
End;
{--------------------}
Function TRADIOGROUPget_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).SHOWHINT;
End;

Function TRADIOGROUPset_SHOWHINT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).SHOWHINT:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).TABORDER;
End;

Function TRADIOGROUPset_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).TABORDER:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).TABSTOP;
End;

Function TRADIOGROUPset_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).TABSTOP:=S[0];
End;
{--------------------}
Function TRADIOGROUPget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOGROUP(slf).VISIBLE;
End;

Function TRADIOGROUPset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOGROUP(slf).VISIBLE:=S[0];
End;
{--------------------}
{function myFRAME3D(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 FRAME3D(TCanvas(VO(S[0])),TRect S[1],S[2],S[3],S[4]);
End;}

procedure extinit;
begin
{   AddObjectType('TSHAPE','TGRAPHICCONTROL');
   AddObjectType('TPAINTBOX','TGRAPHICCONTROL');
   AddObjectType('TIMAGE','TGRAPHICCONTROL');
   AddObjectType('TBEVEL','TGRAPHICCONTROL');
   AddObjectType('TTIMER','TCOMPONENT');
   AddObjectType('TCUSTOMPANEL','TCUSTOMCONTROL');
   AddObjectType('TPANEL','TCUSTOMPANEL');
   AddObjectType('TPAGE','TCUSTOMCONTROL');
   AddObjectType('TNOTEBOOK','TCUSTOMCONTROL');
   AddObjectType('THEADER','TCUSTOMCONTROL');
   AddObjectType('TCUSTOMRADIOGROUP','TCUSTOMGROUPBOX');
   AddObjectType('TRADIOGROUP','TCUSTOMRADIOGROUP');}

   AddFun('TSHAPE.CREATE',myTSHAPECREATE,[0]);
   AddProc('TSHAPE.STYLECHANGED',myTSHAPESTYLECHANGED,[0]);
   AddProp('TSHAPE.BRUSH',TSHAPEget_BRUSH,TSHAPEset_BRUSH);
   AddProp('TSHAPE.DRAGCURSOR',TSHAPEget_DRAGCURSOR,TSHAPEset_DRAGCURSOR);
   AddProp('TSHAPE.DRAGMODE',TSHAPEget_DRAGMODE,TSHAPEset_DRAGMODE);
   AddProp('TSHAPE.ENABLED',TSHAPEget_ENABLED,TSHAPEset_ENABLED);
   AddProp('TSHAPE.PARENTSHOWHINT',TSHAPEget_PARENTSHOWHINT,TSHAPEset_PARENTSHOWHINT);
   AddProp('TSHAPE.PEN',TSHAPEget_PEN,TSHAPEset_PEN);
   AddProp('TSHAPE.SHAPE',TSHAPEget_SHAPE,TSHAPEset_SHAPE);
   AddProp('TSHAPE.SHOWHINT',TSHAPEget_SHOWHINT,TSHAPEset_SHOWHINT);
   AddProp('TSHAPE.VISIBLE',TSHAPEget_VISIBLE,TSHAPEset_VISIBLE);
   AddFun('TPAINTBOX.CREATE',myTPAINTBOXCREATE,[0]);
   AddProp('TPAINTBOX.CANVAS',TPAINTBOXget_CANVAS,nil);
   AddProp('TPAINTBOX.ALIGN',TPAINTBOXget_ALIGN,TPAINTBOXset_ALIGN);
   AddProp('TPAINTBOX.COLOR',TPAINTBOXget_COLOR,TPAINTBOXset_COLOR);
   AddProp('TPAINTBOX.DRAGCURSOR',TPAINTBOXget_DRAGCURSOR,TPAINTBOXset_DRAGCURSOR);
   AddProp('TPAINTBOX.DRAGMODE',TPAINTBOXget_DRAGMODE,TPAINTBOXset_DRAGMODE);
   AddProp('TPAINTBOX.ENABLED',TPAINTBOXget_ENABLED,TPAINTBOXset_ENABLED);
   AddProp('TPAINTBOX.FONT',TPAINTBOXget_FONT,TPAINTBOXset_FONT);
   AddProp('TPAINTBOX.PARENTCOLOR',TPAINTBOXget_PARENTCOLOR,TPAINTBOXset_PARENTCOLOR);
   AddProp('TPAINTBOX.PARENTFONT',TPAINTBOXget_PARENTFONT,TPAINTBOXset_PARENTFONT);
   AddProp('TPAINTBOX.PARENTSHOWHINT',TPAINTBOXget_PARENTSHOWHINT,TPAINTBOXset_PARENTSHOWHINT);
   AddProp('TPAINTBOX.POPUPMENU',TPAINTBOXget_POPUPMENU,TPAINTBOXset_POPUPMENU);
   AddProp('TPAINTBOX.SHOWHINT',TPAINTBOXget_SHOWHINT,TPAINTBOXset_SHOWHINT);
   AddProp('TPAINTBOX.VISIBLE',TPAINTBOXget_VISIBLE,TPAINTBOXset_VISIBLE);
   AddFun('TIMAGE.CREATE',myTIMAGECREATE,[0]);
   AddProp('TIMAGE.CANVAS',TIMAGEget_CANVAS,nil);
   AddProp('TIMAGE.ALIGN',TIMAGEget_ALIGN,TIMAGEset_ALIGN);
   AddProp('TIMAGE.AUTOSIZE',TIMAGEget_AUTOSIZE,TIMAGEset_AUTOSIZE);
   AddProp('TIMAGE.CENTER',TIMAGEget_CENTER,TIMAGEset_CENTER);
   AddProp('TIMAGE.DRAGCURSOR',TIMAGEget_DRAGCURSOR,TIMAGEset_DRAGCURSOR);
   AddProp('TIMAGE.DRAGMODE',TIMAGEget_DRAGMODE,TIMAGEset_DRAGMODE);
   AddProp('TIMAGE.ENABLED',TIMAGEget_ENABLED,TIMAGEset_ENABLED);
   AddProp('TIMAGE.PARENTSHOWHINT',TIMAGEget_PARENTSHOWHINT,TIMAGEset_PARENTSHOWHINT);
   AddProp('TIMAGE.PICTURE',TIMAGEget_PICTURE,TIMAGEset_PICTURE);
   AddProp('TIMAGE.POPUPMENU',TIMAGEget_POPUPMENU,TIMAGEset_POPUPMENU);
   AddProp('TIMAGE.SHOWHINT',TIMAGEget_SHOWHINT,TIMAGEset_SHOWHINT);
   AddProp('TIMAGE.STRETCH',TIMAGEget_STRETCH,TIMAGEset_STRETCH);
   AddProp('TIMAGE.VISIBLE',TIMAGEget_VISIBLE,TIMAGEset_VISIBLE);
   AddFun('TBEVEL.CREATE',myTBEVELCREATE,[0]);
   AddProp('TBEVEL.ALIGN',TBEVELget_ALIGN,TBEVELset_ALIGN);
   AddProp('TBEVEL.PARENTSHOWHINT',TBEVELget_PARENTSHOWHINT,TBEVELset_PARENTSHOWHINT);
   AddProp('TBEVEL.SHAPE',TBEVELget_SHAPE,TBEVELset_SHAPE);
   AddProp('TBEVEL.SHOWHINT',TBEVELget_SHOWHINT,TBEVELset_SHOWHINT);
   AddProp('TBEVEL.STYLE',TBEVELget_STYLE,TBEVELset_STYLE);
   AddProp('TBEVEL.VISIBLE',TBEVELget_VISIBLE,TBEVELset_VISIBLE);
   AddFun('TTIMER.CREATE',myTTIMERCREATE,[0]);
   AddProp('TTIMER.ENABLED',TTIMERget_ENABLED,TTIMERset_ENABLED);
   AddProp('TTIMER.INTERVAL',TTIMERget_INTERVAL,TTIMERset_INTERVAL);
   AddFun('TCUSTOMPANEL.CREATE',myTCUSTOMPANELCREATE,[0]);
   AddProp('TPANEL.ALIGN',TPANELget_ALIGN,TPANELset_ALIGN);
   AddProp('TPANEL.ALIGNMENT',TPANELget_ALIGNMENT,TPANELset_ALIGNMENT);
   AddProp('TPANEL.BEVELINNER',TPANELget_BEVELINNER,TPANELset_BEVELINNER);
   AddProp('TPANEL.BEVELOUTER',TPANELget_BEVELOUTER,TPANELset_BEVELOUTER);
   AddProp('TPANEL.BEVELWIDTH',TPANELget_BEVELWIDTH,TPANELset_BEVELWIDTH);
   AddProp('TPANEL.BORDERWIDTH',TPANELget_BORDERWIDTH,TPANELset_BORDERWIDTH);
   AddProp('TPANEL.BORDERSTYLE',TPANELget_BORDERSTYLE,TPANELset_BORDERSTYLE);
   AddProp('TPANEL.DRAGCURSOR',TPANELget_DRAGCURSOR,TPANELset_DRAGCURSOR);
   AddProp('TPANEL.DRAGMODE',TPANELget_DRAGMODE,TPANELset_DRAGMODE);
   AddProp('TPANEL.ENABLED',TPANELget_ENABLED,TPANELset_ENABLED);
   AddProp('TPANEL.CAPTION',TPANELget_CAPTION,TPANELset_CAPTION);
   AddProp('TPANEL.COLOR',TPANELget_COLOR,TPANELset_COLOR);
   AddProp('TPANEL.CTL3D',TPANELget_CTL3D,TPANELset_CTL3D);
   AddProp('TPANEL.FONT',TPANELget_FONT,TPANELset_FONT);
   AddProp('TPANEL.LOCKED',TPANELget_LOCKED,TPANELset_LOCKED);
   AddProp('TPANEL.PARENTCOLOR',TPANELget_PARENTCOLOR,TPANELset_PARENTCOLOR);
   AddProp('TPANEL.PARENTCTL3D',TPANELget_PARENTCTL3D,TPANELset_PARENTCTL3D);
   AddProp('TPANEL.PARENTFONT',TPANELget_PARENTFONT,TPANELset_PARENTFONT);
   AddProp('TPANEL.PARENTSHOWHINT',TPANELget_PARENTSHOWHINT,TPANELset_PARENTSHOWHINT);
   AddProp('TPANEL.POPUPMENU',TPANELget_POPUPMENU,TPANELset_POPUPMENU);
   AddProp('TPANEL.SHOWHINT',TPANELget_SHOWHINT,TPANELset_SHOWHINT);
   AddProp('TPANEL.TABORDER',TPANELget_TABORDER,TPANELset_TABORDER);
   AddProp('TPANEL.TABSTOP',TPANELget_TABSTOP,TPANELset_TABSTOP);
   AddProp('TPANEL.VISIBLE',TPANELget_VISIBLE,TPANELset_VISIBLE);
   AddFun('TPAGE.CREATE',myTPAGECREATE,[0]);
   AddProp('TPAGE.CAPTION',TPAGEget_CAPTION,TPAGEset_CAPTION);
   AddProp('TPAGE.HEIGHT',TPAGEget_HEIGHT,TPAGEset_HEIGHT);
   AddProp('TPAGE.TABORDER',TPAGEget_TABORDER,TPAGEset_TABORDER);
   AddProp('TPAGE.VISIBLE',TPAGEget_VISIBLE,TPAGEset_VISIBLE);
   AddProp('TPAGE.WIDTH',TPAGEget_WIDTH,TPAGEset_WIDTH);
   AddFun('TNOTEBOOK.CREATE',myTNOTEBOOKCREATE,[0]);
   AddProp('TNOTEBOOK.ACTIVEPAGE',TNOTEBOOKget_ACTIVEPAGE,TNOTEBOOKset_ACTIVEPAGE);
   AddProp('TNOTEBOOK.ALIGN',TNOTEBOOKget_ALIGN,TNOTEBOOKset_ALIGN);
   AddProp('TNOTEBOOK.COLOR',TNOTEBOOKget_COLOR,TNOTEBOOKset_COLOR);
   AddProp('TNOTEBOOK.CTL3D',TNOTEBOOKget_CTL3D,TNOTEBOOKset_CTL3D);
   AddProp('TNOTEBOOK.DRAGCURSOR',TNOTEBOOKget_DRAGCURSOR,TNOTEBOOKset_DRAGCURSOR);
   AddProp('TNOTEBOOK.DRAGMODE',TNOTEBOOKget_DRAGMODE,TNOTEBOOKset_DRAGMODE);
   AddProp('TNOTEBOOK.FONT',TNOTEBOOKget_FONT,TNOTEBOOKset_FONT);
   AddProp('TNOTEBOOK.ENABLED',TNOTEBOOKget_ENABLED,TNOTEBOOKset_ENABLED);
   AddProp('TNOTEBOOK.PAGEINDEX',TNOTEBOOKget_PAGEINDEX,TNOTEBOOKset_PAGEINDEX);
   AddProp('TNOTEBOOK.PAGES',TNOTEBOOKget_PAGES,TNOTEBOOKset_PAGES);
   AddProp('TNOTEBOOK.PARENTCOLOR',TNOTEBOOKget_PARENTCOLOR,TNOTEBOOKset_PARENTCOLOR);
   AddProp('TNOTEBOOK.PARENTCTL3D',TNOTEBOOKget_PARENTCTL3D,TNOTEBOOKset_PARENTCTL3D);
   AddProp('TNOTEBOOK.PARENTFONT',TNOTEBOOKget_PARENTFONT,TNOTEBOOKset_PARENTFONT);
   AddProp('TNOTEBOOK.PARENTSHOWHINT',TNOTEBOOKget_PARENTSHOWHINT,TNOTEBOOKset_PARENTSHOWHINT);
   AddProp('TNOTEBOOK.POPUPMENU',TNOTEBOOKget_POPUPMENU,TNOTEBOOKset_POPUPMENU);
   AddProp('TNOTEBOOK.SHOWHINT',TNOTEBOOKget_SHOWHINT,TNOTEBOOKset_SHOWHINT);
   AddProp('TNOTEBOOK.TABORDER',TNOTEBOOKget_TABORDER,TNOTEBOOKset_TABORDER);
   AddProp('TNOTEBOOK.TABSTOP',TNOTEBOOKget_TABSTOP,TNOTEBOOKset_TABSTOP);
   AddProp('TNOTEBOOK.VISIBLE',TNOTEBOOKget_VISIBLE,TNOTEBOOKset_VISIBLE);
   AddFun('THEADER.CREATE',myTHEADERCREATE,[0]);
   AddProp('THEADER.ALIGN',THEADERget_ALIGN,THEADERset_ALIGN);
   AddProp('THEADER.ALLOWRESIZE',THEADERget_ALLOWRESIZE,THEADERset_ALLOWRESIZE);
   AddProp('THEADER.BORDERSTYLE',THEADERget_BORDERSTYLE,THEADERset_BORDERSTYLE);
   AddProp('THEADER.ENABLED',THEADERget_ENABLED,THEADERset_ENABLED);
   AddProp('THEADER.FONT',THEADERget_FONT,THEADERset_FONT);
   AddProp('THEADER.PARENTFONT',THEADERget_PARENTFONT,THEADERset_PARENTFONT);
   AddProp('THEADER.PARENTSHOWHINT',THEADERget_PARENTSHOWHINT,THEADERset_PARENTSHOWHINT);
   AddProp('THEADER.POPUPMENU',THEADERget_POPUPMENU,THEADERset_POPUPMENU);
   AddProp('THEADER.SECTIONS',THEADERget_SECTIONS,THEADERset_SECTIONS);
   AddProp('THEADER.SHOWHINT',THEADERget_SHOWHINT,THEADERset_SHOWHINT);
   AddProp('THEADER.TABORDER',THEADERget_TABORDER,THEADERset_TABORDER);
   AddProp('THEADER.TABSTOP',THEADERget_TABSTOP,THEADERset_TABSTOP);
   AddProp('THEADER.VISIBLE',THEADERget_VISIBLE,THEADERset_VISIBLE);

   AddFun('TCUSTOMRADIOGROUP.CREATE',myTCUSTOMRADIOGROUPCREATE,[0]);
   AddProp('TRADIOGROUP.ALIGN',TRADIOGROUPget_ALIGN,TRADIOGROUPset_ALIGN);
   AddProp('TRADIOGROUP.CAPTION',TRADIOGROUPget_CAPTION,TRADIOGROUPset_CAPTION);
   AddProp('TRADIOGROUP.COLOR',TRADIOGROUPget_COLOR,TRADIOGROUPset_COLOR);
   AddProp('TRADIOGROUP.COLUMNS',TRADIOGROUPget_COLUMNS,TRADIOGROUPset_COLUMNS);
   AddProp('TRADIOGROUP.CTL3D',TRADIOGROUPget_CTL3D,TRADIOGROUPset_CTL3D);
   AddProp('TRADIOGROUP.DRAGCURSOR',TRADIOGROUPget_DRAGCURSOR,TRADIOGROUPset_DRAGCURSOR);
   AddProp('TRADIOGROUP.DRAGMODE',TRADIOGROUPget_DRAGMODE,TRADIOGROUPset_DRAGMODE);
   AddProp('TRADIOGROUP.ENABLED',TRADIOGROUPget_ENABLED,TRADIOGROUPset_ENABLED);
   AddProp('TRADIOGROUP.FONT',TRADIOGROUPget_FONT,TRADIOGROUPset_FONT);
   AddProp('TRADIOGROUP.ITEMINDEX',TRADIOGROUPget_ITEMINDEX,TRADIOGROUPset_ITEMINDEX);
   AddProp('TRADIOGROUP.ITEMS',TRADIOGROUPget_ITEMS,TRADIOGROUPset_ITEMS);
   AddProp('TRADIOGROUP.PARENTCOLOR',TRADIOGROUPget_PARENTCOLOR,TRADIOGROUPset_PARENTCOLOR);
   AddProp('TRADIOGROUP.PARENTCTL3D',TRADIOGROUPget_PARENTCTL3D,TRADIOGROUPset_PARENTCTL3D);
   AddProp('TRADIOGROUP.PARENTFONT',TRADIOGROUPget_PARENTFONT,TRADIOGROUPset_PARENTFONT);
   AddProp('TRADIOGROUP.PARENTSHOWHINT',TRADIOGROUPget_PARENTSHOWHINT,TRADIOGROUPset_PARENTSHOWHINT);
   AddProp('TRADIOGROUP.POPUPMENU',TRADIOGROUPget_POPUPMENU,TRADIOGROUPset_POPUPMENU);
   AddProp('TRADIOGROUP.SHOWHINT',TRADIOGROUPget_SHOWHINT,TRADIOGROUPset_SHOWHINT);
   AddProp('TRADIOGROUP.TABORDER',TRADIOGROUPget_TABORDER,TRADIOGROUPset_TABORDER);
   AddProp('TRADIOGROUP.TABSTOP',TRADIOGROUPget_TABSTOP,TRADIOGROUPset_TABSTOP);
   AddProp('TRADIOGROUP.VISIBLE',TRADIOGROUPget_VISIBLE,TRADIOGROUPset_VISIBLE);
{   AddProc('FRAME3D',myFRAME3D,[0,1,0,0,0]);}

   AddConst('stEllipse',stEllipse);
   AddConst('stRectangle',stRectangle);
   AddConst('stRoundRect',stRoundRect);
   AddConst('stRoundSquare',stRoundSquare);
   AddConst('stSquare',stSquare);
   AddConst('stCircle',stCircle);
   AddConst('bsBox',bsBox);
   AddConst('bsFrame',bsFrame);
   AddConst('bsTopLine',bsTopLine);
   AddConst('bsBottomLine',bsBottomLine);
   AddConst('bsLeftLine',bsLeftLine);
   AddConst('bsRightLine',bsRightLine);
   AddConst('bsLowered',bsLowered);
   AddConst('bsRaised',bsRaised);
   AddConst('bvNone',bvNone);
   AddConst('bvLowered',bvLowered);
   AddConst('bvRaised',bvRaised);
   AddConst('bsNone',bsNone);
   AddConst('bsSingle',bsSingle);

end;

procedure ComInit;
begin
{   AddObjectType('TPageControl','TWinControl');
   AddObjectType('TTabSheet','TWinControl');}
end;

Initialization
ExtInit;
ComInit;
  RegisterClasses([TBevel,TPanel,TPageControl,TTabSheet,
   TSHAPE,TPAINTBOX,TIMAGE,TTIMER,TCUSTOMPANEL,
   TPAGE,TNOTEBOOK,THEADER,TCUSTOMRADIOGROUP,TRADIOGROUP]);
End.
